MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030809Open CASCADE[OCCT] OCCT:Data Exchangepublic2019-06-25 15:322019-07-08 12:58
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030809: Data Exchange - fix misprint in RWMesh_CafReader::generateNames()
DescriptionThe code of RWMesh_CafReader::generateNames() has misprint - for loop skips assembles where it should not:
    for (XCAFPrs_DocumentExplorer aDocIter (myXdeDoc,
                                            aNewRootLabels,
                                            XCAFPrs_DocumentExplorerFlags_OnlyLeafNodes | XCAFPrs_DocumentExplorerFlags_NoStyle);
         
aDocIter.More(); aDocIter.Next())
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030692verifiedbugmaster Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document 

-  Notes
(0085301)
git (administrator)
2019-06-25 15:33

Branch CR30809 has been created by kgv.

SHA-1: 3860a862704ca09d384909b3649b5b0ca9be5e9c


Detailed log of new commits:

Author: kgv
Date: Tue Jun 25 15:31:56 2019 +0300

    0030809: Data Exchange - fix misprint in RWMesh_CafReader::generateNames()
(0085302)
kgv (developer)
2019-06-25 17:19

Please take the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30809-master-KGV [^]
(0085304)
apn (administrator)
2019-06-25 18:34

Combination -
OCCT branch : CR30809
master SHA - 3860a862704ca09d384909b3649b5b0ca9be5e9c
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - c08b242c9da615bfdf83ca463321740d4cc22898
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16483.4200000001 / 16513.620000000094 [-0.18%]
Products
Total CPU difference: 10489.950000000046 / 10515.620000000044 [-0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 17848.875 / 17822.375 [+0.15%]
Products
Total CPU difference: 12092.625 / 12126.671875 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0085474)
git (administrator)
2019-07-08 12:58

Branch CR30809 has been deleted by inv.

SHA-1: 3860a862704ca09d384909b3649b5b0ca9be5e9c

- Related Changesets
occt: master 62810a3c
Timestamp: 2019-06-25 12:31:56
Author: kgv
Committer: apn
Details ] Diff ]
0030809: Data Exchange - fix misprint in RWMesh_CafReader::generateNames()
mod - src/RWMesh/RWMesh_CafReader.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-06-25 15:32 kgv New Issue
2019-06-25 15:32 kgv Assigned To => kgv
2019-06-25 15:32 kgv Relationship added child of 0030692
2019-06-25 15:33 git Note Added: 0085301
2019-06-25 17:19 kgv Note Added: 0085302
2019-06-25 17:19 kgv Assigned To kgv => bugmaster
2019-06-25 17:19 kgv Status new => resolved
2019-06-25 17:19 kgv Status resolved => reviewed
2019-06-25 18:34 apn Test case number => Not needed
2019-06-25 18:34 apn Note Added: 0085304
2019-06-25 18:34 apn Status reviewed => tested
2019-07-01 17:28 apn Changeset attached => occt master 62810a3c
2019-07-01 17:28 apn Assigned To bugmaster => apn
2019-07-01 17:28 apn Status tested => verified
2019-07-01 17:28 apn Resolution open => fixed
2019-07-08 12:58 git Note Added: 0085474


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker